﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic; // That is important

[RequireComponent (typeof(DamageableItem))]
public class DropRandomItem : MonoBehaviour
{
    public List<Transform> items = new List<Transform>();
    public float chance = 0.3f;
    public float amount = 1;

    public void DropRandomItemsWithChance()  
    {
        if(Random.value < chance)
        {
            for(int i = 0; i < amount; i++)
                Instantiate(items[Random.Range(0, items.Count - 1)], transform.position, Quaternion.identity);
        }
    }
}
