﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlatformDown : MonoBehaviour {

    AudioSource audio;
    Rigidbody2D rigidBody;
    BoxCollider2D boxCollider;

    private void Start()
    {
        audio = GetComponent<AudioSource>();
        rigidBody = gameObject.GetComponent<Rigidbody2D>();
        boxCollider = gameObject.GetComponent<BoxCollider2D>();
    }

    private void OnCollisionEnter2D(Collision2D collision)
    {
        if(collision.gameObject.CompareTag("Player"))
        {
            rigidBody.gravityScale = 1;
            boxCollider.isTrigger = true;
            if(AudioController.isFXActive())
                audio.Play();
            Destroy(this.gameObject, 4);
        }
    }
}
