﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class CustomToogle : MonoBehaviour {
    
	// Use this for initialization
	void Start () {
        if(CompareTag("FXToogle"))
            GetComponent<Toggle>().isOn = AudioController.isFXActive();
        if(CompareTag("BGMusicToogle"))
            GetComponent<Toggle>().isOn = AudioController.isBGMActive();
    }
	
	public void ToogleFX(bool toogle)
    {
        AudioController.toogleSoundFX(toogle);
        
    }

    public void ToogleBGM(bool toogle)
    {
        AudioController.toogleMusic(toogle);
    }

    public void ChangeVolume()
    {
        AudioController.ChangeVolume(GetComponent<Slider>().value);
    }
}
