﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;


public class EnemyHealthBarScript : MonoBehaviour {

    Image healthBar;
    DamageableItem dmgItem;
    private float maxHealth;
    private float curHealth;


	// Use this for initialization
	void Start () {
        dmgItem = GetComponentInParent<DamageableItem>();
        healthBar = GetComponent<Image>();
        maxHealth = dmgItem.startingHealth;
	}
	
	// Update is called once per frame
	void Update () {
        curHealth = dmgItem.currentHealth;
        healthBar.fillAmount = curHealth / maxHealth;
	}
}
