﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FlashingItem : MonoBehaviour {
    
    public int delay = 100;
    private bool triggerFlash = false;
    private SpriteRenderer mySpriteRenderer;
    private int counter;
    private bool toggle = false;

    public bool TriggerFlash
    {
        get
        {
            return triggerFlash;
        }

        set
        {
            triggerFlash = value;
        }
    }

    private void Start()
    {
        mySpriteRenderer = gameObject.GetComponent<SpriteRenderer>();
    }

    private void Update()
    {
        if(TriggerFlash)
        {
            Flash();
        }
    }

    public void Flash()
    {
        if (counter >= delay)
        {
            counter = 0;

            toggle = !toggle;
            if (toggle)
            {
                mySpriteRenderer.enabled = true;
            }
            else
            {
                mySpriteRenderer.enabled = false;
            }
        }
        else
        {
            counter++;
        }
    }

    internal void stopFlashing()
    {
        mySpriteRenderer.enabled = true;
        TriggerFlash = false;
        counter = 0;
        toggle = false;
    }
}
