﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class FloatingDamageText : MonoBehaviour {

    public Animator anim;
    private Text damageText;
    private Outline outline;

	// Use this for initialization
	void OnEnable () {
        AnimatorClipInfo[] clipInfo = anim.GetCurrentAnimatorClipInfo(0);
        damageText = anim.GetComponent<Text>();
        outline = anim.GetComponent<Outline>();
        Destroy(this.gameObject, clipInfo[0].clip.length);
	}
   
    public void SetText(string text, Color col)
    {
        outline.effectColor = col;
        damageText.text = text;
    }
}
