﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LifeScript : MonoBehaviour {

    public static int lifes = 5;
    private int actualLifes = 5;
    private int maxLifes = 5;
    public GameObject[] lifeUI;

    // Use this for initialization
    void Start () {
        if (PlayerPrefs.GetInt("lifes") <= 0)
        {
            lifes = maxLifes;
            PlayerPrefs.SetInt("lifes", lifes);
        }
        else
            lifes = PlayerPrefs.GetInt("lifes");
    }
	
	// Update is called once per frame
	void Update () {
		if(lifes<actualLifes) //losing lifes
        {
            for(int i = lifes; i< actualLifes; i++)
            {
                lifeUI[i].SetActive(false);
            }
        }
        else if (lifes>actualLifes && lifes<maxLifes) //gaining lifes
        {
            for (int i = actualLifes; i < lifes; i++)
            {
                lifeUI[i].SetActive(true);
            }
        }
        else if (lifes>maxLifes) //Max lifes
        {
            lifes = maxLifes;
        }
        else if (lifes==maxLifes)
        {
            for (int i = 0; i < maxLifes; i++)
            {
                lifeUI[i].SetActive(true);
            }
        }

        actualLifes = lifes;
        PlayerPrefs.SetInt("lifes", lifes);
    }
}
